#include "delay.h"

#include "platform/hal.h"
#include "st7789.h"

hal::Gpio led_1(17);

hal::Gpio lcd_reset(26);
hal::Gpio lcd_data_command(18);
hal::Gpio lcd_backlight(23);
hal::Gpio lcd_chip_select(25);
hal::Spi lcd_spi(0, 2, 3, 4, lcd_chip_select);

St7789 lcd(lcd_spi, lcd_reset, lcd_data_command, lcd_backlight);

int main(void)
{
    lcd.init();
    lcd.clear(0);
    while(true) {
        delay_ms(200);
        led_1.toggle();
    }
}
